ScriptProcessRunnable
Date: 2019-10-22

org.jmol.script

## Class ScriptProcessRunnable

- java.lang.Object
- - org.jmol.script.ScriptProcessRunnable

- All Implemented Interfaces:
    java.lang.Runnable

      public class ScriptProcessRunnable
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ScriptParallelProcessor` | `parallelProcessor`
    `private ScriptProcess` | `process`
    `private java.lang.Object` | `processLock`
    `private ShapeManager` | `shapeManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptProcessRunnable(ScriptParallelProcessor parallelProcessor, ScriptProcess process, java.lang.Object lock, ShapeManager shapeManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parallelProcessor

          private final ScriptParallelProcessor parallelProcessor

    - #### process

          private final ScriptProcess process

    - #### processLock

          private java.lang.Object processLock

    - #### shapeManager

          private ShapeManager shapeManager

  - ### Constructor Detail

    - #### ScriptProcessRunnable

          public ScriptProcessRunnable(ScriptParallelProcessor parallelProcessor,
                                       ScriptProcess process,
                                       java.lang.Object lock,
                                       ShapeManager shapeManager)

      Parameters:
        `process` -
        `lock` -
        `shapeManager` -
        `parallelProcessor` - TODO

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`